﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Generic;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            RadComboBox1.DataSource = GetDepartments();
            RadComboBox1.DataBind();
        }
    }

    private DataTable GetDepartments()
    {
        DataTable dataTable = new DataTable();

        DataColumn column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "DepartmentID";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "DepartmentName";
        dataTable.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dataTable.Columns["DepartmentID"];
        dataTable.PrimaryKey = PrimaryKeyColumns;


        DataRow row = dataTable.NewRow();
        row["DepartmentID"] = 1;
        row["DepartmentName"] = "Produce";
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row["DepartmentID"] = 2;
        row["DepartmentName"] = "Dairy";
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row["DepartmentID"] = 3;
        row["DepartmentName"] = "Bakery";
        dataTable.Rows.Add(row);

        return dataTable;
    }

    private DataTable GetItems(IList<RadComboBoxItem> comboItems)
    {
        DataTable dataTable = new DataTable();

        DataColumn column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "ItemID";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "ItemName";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "DepartmentID";
        dataTable.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dataTable.Columns["ItemID"];
        dataTable.PrimaryKey = PrimaryKeyColumns;


        DataRow row = dataTable.NewRow();
        row["ItemID"] = 1;
        row["ItemName"] = "Apple";
        row["DepartmentID"] = 1;
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row["ItemID"] = 2;
        row["ItemName"] = "Orange";
        row["DepartmentID"] = 1;
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row["ItemID"] = 3;
        row["ItemName"] = "Cheese";
        row["DepartmentID"] = 2;
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row["ItemID"] = 4;
        row["ItemName"] = "Milk";
        row["DepartmentID"] = 2;
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row["ItemID"] = 5;
        row["ItemName"] = "Bread";
        row["DepartmentID"] = 3;
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row["ItemID"] = 6;
        row["ItemName"] = "Muffins";
        row["DepartmentID"] = 3;
        dataTable.Rows.Add(row);

        
        DataTable table = dataTable.Clone();

        foreach (var dept in comboItems)
        {
            var DeptID = Convert.ToInt32(dept.Value);
            var myItems = from myRow in dataTable.AsEnumerable()
                          where myRow.Field<int>("DepartmentID") == DeptID
                          select myRow;
            myItems.CopyToDataTable(table,LoadOption.PreserveChanges);
        }

        return table;
    }

    protected void RadComboBox1_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        var combo = sender as RadComboBox;
        var checkedItems = combo.CheckedItems;
        RadComboBox2.DataSource = GetItems(checkedItems);
        RadComboBox2.DataBind();
    }
}
